People who code: we want your input. Take the Survey

Questions tagged [raspbian-stretch]

Raspbian-Stretch is a GNU/Linux operating system derived from Debian 9, initially released in August 2017. Raspbian is the most widely used Pi based distribution and the one recommended by the Raspberry Pi Foundation, who distribute their own images of it in 3 flavours, a full version with Desktop GUI and recommended software, Desktop GUI, and a "lite" version without any GUI pre-installed.

Filter by
Sorted by
Tagged with
1
vote
1answer
330 views

Docker-Compose won't install on Raspberry Pi 3

Most guides that I found to install Docker Compose on Raspbian resolve around an installation via pip, e.g. sudo pip3 install docker-compose Unfortunately, if I try that on my Raspberry Pi 3, it ...
0
votes
0answers
16 views

Unknown public key present in .ssh/authorized_keys

This is probably nothing, I just want to make sure. We manage the .ssh/authorized_keys file through puppet, and on all pis there is a key in there that we do not add and we don't know. It's signed off ...
0
votes
1answer
46 views

Raspberry Pi 4 InfraRed remote control configuration

I am trying to set up an IR remote control to setup a play, pause, fastforward and rewind command for kodi. I followed all the guide explaining here but with few success Gitgub-lirc-pi3 only ...
0
votes
1answer
54 views

running apt-get update/upgrade through a proxy

I'm having issues keeping a Pi up-to-date in a customers network. The pi is there for controlling a piece of equipment, and it needs to be updated once in a while, among other things to keep backward ...
0
votes
0answers
35 views

Unable to install a package on pi zero

Colleagues, I am trying to install a package using pi@pizero:~ $ sudo apt-get install git Reading package lists... Done Building dependency tree Reading state information... Done You might want to run ...
0
votes
1answer
21 views

pydbus throwing error in raspbian lite

I have successfully installed and used pydbus to communicate and control few Bluetooth LE devices from raspberry pi (full version). When i tried to do the same with Raspbian lite, i get: object does ...
0
votes
2answers
126 views

Failing during configuration of “Access point as WiFi router/repeater with additional WiFi-dongle” [closed]

I am newbie in this area and I try to follow the instructions of @Ingo from here since days Link I have Raspberry 4B 2GB with on board wifi and additional WIFI dongle "TP-Link TL-WN823N" I ...
0
votes
0answers
81 views

How to remap keys on Raspberry Pi 4

I type using a Norman keyboard layout instead of the typical QWERTY one, so for example, where one would normally press the J key, I press the N key. How can I remap the keyboard in the Raspberry Pi ...
-1
votes
1answer
56 views

Error while dist-upgrade: …/raspberrypi-kernel_1.20210108-1_armhf.deb Hash Sum mismatch

I am upgrading my RPi 3 from Raspbian stretch to buster. I get this error while running sudo apt dist-upgrade: Err:1 http://archive.raspberrypi.org/debian buster/main armhf raspberrypi-kernel armhf 1....
0
votes
2answers
33 views

Wolfram-engine failed to create symbolic link while doing dist-upgrade on Raspbian-stretch

I tried to upgrade my Raspbian on Raspberri Pi 3 from Stretch to Buster but receive this error: ➜ ~ sudo apt dist-upgrade -y Reading package lists... Done Building dependency tree Reading ...
0
votes
0answers
33 views

Plex Media Server, unable to load libraries

I have just installed PMS on my RPI3 B, after some issues I can manage the server fro the web gui, but I can not load any libraries. As you can see from the screenshot it is not possible to continue ...
2
votes
1answer
55 views

How to connect the raspberry pi to the internet with the internet from a pc (via an ethernet cable) [closed]

excuse me I want to ask. I am still a beginner in raspberry pi. I have internet connection problems on the raspberry pi. I can remote raspberry with PC using ethernet. and my pc is also connected to ...
-1
votes
1answer
72 views

Can't install netatalk 3 on Stretch

I've got a Pi Zero running stretch and when I install netatalk with apt-get it always installs version 2.2.5. When I run apt-cache policy netatalk, it reports that as the Candidate version. Is there a ...
0
votes
0answers
84 views

How to keep audio in sync with raspivid on a live stream

Raspberry Pi 4 trying to stream live to youtube using an external USB mic and the raspberry camera. The audio slowly gets out of sync (ahead of the video). Here is my command. Any suggestions on ...
0
votes
1answer
51 views

Turning off and on ad hoc mode on raspberry pi

I setup an ad hoc network between my computer and a pi for a project which works perfectly but when I have the ad-hoc on I have no access to the internet on the pi. There are times I am going to need ...
0
votes
2answers
267 views

rc.local not able to execute python script with network code

(Disclaimer, this is a crosspost from my Unix & Linux Overflow question, however I got no answers) To introduce my problem, I'm running Raspbian Stretch on a RPi 3 model B+, and I have two scripts ...
1
vote
0answers
84 views

Using PyDBUS to read BLE battery service

I tried to read battery service (0x180F) using pydbus and also via term but unable to find, setNotify or read the value. I tried to register-service under Menu GATT in Terminal running Bluetoothctl ...
3
votes
1answer
133 views

raspberry pi suddenly incapable of verifying amazon ssl certificates

One of our raspberry pis running stretch suddenly, from one moment to the other, lost the ability to verify ssl certificates from servers. As far as I can see there were no reboots, crashes or other ...
0
votes
0answers
52 views

Can the same SD card be used for Raspberry Pi Zero and Raspberry Pi 3A+ that is to be accessed wirelessly (SSH & wpa_supplicant)?

I wanted to use an older Raspbian 9 (Stretch) version of 2017/2018 because I wanted to use the "perf" tool which is not available for the current version. But the previous version was not ...
0
votes
1answer
24 views

Booting of RPi 3A+ fails for the Raspbian stretch 2018-03-13 and even for 2017-08-16

I have a 16GB micro SD card, on which raspbian strecth 2018-03-13 is installed (via win32diskimager, earlier formatted via SD card formatter). It works perfectly for my RPi zero model, but doesn't ...
0
votes
0answers
13 views

I have Problem where the Ip Cam video is Lagging when RPi 3.5" inch (SPI) LCD is usedwith RPi 4

I have interfaced and IP camera with resolution 1280720 to Raspberry Pi 4 4GB and 3.5 " TFT LCD chinese version with xpt2046 controller (touch ..which is disabled)(resol 480320). I have ...
0
votes
1answer
365 views

No module named 'gi'

Recently i have installed Altinstall Python 3.8.0 in /usr/bin. However when i try to from gi.repository import GLib i get: ModuleNotFoundError: No module named 'gi' I have tried many ways (...
0
votes
0answers
55 views

Raspberry pi 3B+ not booting up ( ACT light / green light doesn't blink at all)

I have an old raspberry pi 3B+. After a long time, I tried to use it. I found raspbian stretch image file in an old archive. So I wrote it in a 32GB microSD card and tried to boot the pi. But the ACT ...
0
votes
1answer
961 views

E: Unable to locate package barrier

I am trying to install barrier on my raspberry pi so to enable sharing my mouse and keyboard over LAN. However when I run the command: $ sudo apt install barrier -y Reading package lists... Done ...
-1
votes
2answers
138 views

Cannot install docker on RBPi 3 (strecht) through convenience script

I am trying to install docker on my Raspberry Pi 3 $ cat /etc/os-release PRETTY_NAME="Raspbian GNU/Linux 9 (stretch)" NAME="Raspbian GNU/Linux" VERSION_ID="9" VERSION="9 (stretch)" VERSION_CODENAME=...
0
votes
0answers
209 views

Editing files on Raspberry PI over ssh and with root privileges

Setup: local machine has PopOS 20 (based on Ubuntu 20), remote server is running Raspbian Stretch. I have been editing files on the remote server from the terminal, over ssh and with nano, but I'm ...
0
votes
0answers
105 views

using passlib with argon2 gives MissingBackendError

Installed passlib on my Windows 10 pc to study how to store passwords To use passlib with argon2 I installed that argon2-cffi too just as it shows in the passlib documentation Runs fine on my laptop, ...
0
votes
1answer
946 views

How to install PHP 7.2?

The title says it all. I'm trying to install PHP7.2 on RPi 3 so I can install OwnCloud on it. When I run sudo apt-get install php7.2 -y I get Unable to locate package php7.2. Do I need to add a repo ...
1
vote
1answer
46 views

Can take ssh from windows machine but couldn't ping back from raspberry pi

I have created a network using a wifi router with 2 raspberry pi devices (stretch OS) and one windows 10 machine. Windows ipconfig: Wireless LAN adapter Wi-Fi: Connection-specific DNS Suffix . :...
0
votes
0answers
1k views

pyaudio - Alsa warnings on Raspberry pi

I am trying to send data through 3.5mm jack. In that process, Everytime i'm getting these warnings import pyaudio p = pyaudio.PyAudio() The following warnings are: Expression '...
0
votes
2answers
5k views

PiVPN (WireGuard) not working after updating to Buster

A few days ago, I have updated my Raspberry PI 3 model B device from Stretch to Buster. Previously I installed and configured successfully PiVPN with WireGuard, so it has been working before the ...
2
votes
1answer
1k views

Pi Hole suddenly stopped working

I've been running pi hole on the raspberry pi 3 B+ continuously for a few weeks now. Everything worked great but all of a sudden it stops working. My devices don't connect to the internet as if they'...
0
votes
0answers
34 views

pi 3 won't connect to the internet through an Ethernet cable

Overnight I left my pi on so it could keep up the website I am hosting but come day my pi was not connecting to the internet so as I had setup a static ip (router side) I decided to delete the ...
1
vote
2answers
651 views

Raspbian Stretch unable to start SSH on boot: Problem starting ssh on boot exit 255 when executing ssh -D $SSHD_OPTS?

When I boot my Raspberry pi running Stretch 9, the syntax checks out alright, but when it goes to start the following error is what it gets: pi@hostname:~ $ sudo systemctl status ssh.service * ssh....
2
votes
1answer
46 views

Whatis the pi@raspberry exactly

When I want to connect on my raspberry with the terminal via SSH, I have to do : ssh pi@raspberry I know the raspberry is the hostname, but what is pi@? Thanks!
0
votes
0answers
19 views

Only one application can output audio to bluetooth speaker at a time

I have a rpi 3b+ running on the latest Raspbian Stretch with desktop (2019 April 09), I updated/upgraded all packages to newest version, everything related to bluetooth & audio is kept default. I ...
1
vote
2answers
522 views

Where is static IP setting?

A couple of years back I set up static IP in my Raspberry pi running Raspbian Stretch. Now I forgot and not able to find where I did that setup. I tried sudo nano /etc/dhcpcd.conf but it has only eth0 ...
0
votes
0answers
15 views

Audio stopped work on Rasbian Lite after reboot

So I know there's a lot of similar posts here, but I've read everything on the first 2 pages of Google and no luck yet. There's only one command that does actually produce audio for me: /opt/vc/src/...
1
vote
0answers
253 views

Headless Shutdown of Raspberry Pi using Adafruit-GPIO-Halt

I am new to Raspberry Pi and am trying to use the headless shutdown module provided by Adafruit. I downloaded the script of Adafruit-GPIO-Halt to my Raspberry Pi, installed it to the /usr/local/bin/...
-1
votes
2answers
81 views

Are these upgrades all Jessie related, none are Stretch or Buster?

RASPBIAN JESSIE: I recently did a full update and then upgrade of apt. So eventhing was up to date. I then decided I needed some advance s/w and hence uncommented this line in /etc/apt/sources.list to ...
2
votes
0answers
71 views

python (2/3) functions to use a USB-camera? [closed]

After many attempts using pygame, or OpenCV to capture and display pictures from a standard USB-camera I decided to ask this question. Mplayer worked with all cameras I have tested (a=Logitech, b=...
0
votes
2answers
316 views

How to pass parameters to program run from init.d?

I'm debugging lirc on a Pi 3b running Stretch with 4.19 kernel. In my previous question, I found a way to cause lircd to function, but it requires invoking the daemon with passed parameters. I ...
3
votes
2answers
990 views

hostapd AP over both wlan0 and eth1

My hardware setup is currently: Router -> RPi (eth0) -> RPi (wlan0) -> subnet for my devices My desired setup is: Router -> RPi (eth0) -> RPi (wlan0 + eth1) -> subnet for my ...
1
vote
0answers
213 views

Using Hamachi messes up with the Pi's networking

I have a Raspberry Pi 3B+ running Raspbian Stretch with no problems since over a year. I recently tried install Hamachi from the official LogMeIn website, and connected it to my LogMeIn Hamachi ...
1
vote
1answer
41 views

Raspberry pi connection to wifi

I am a newbie to Raspberry Pi as I want to connect the Raspberry Pi to my Wi-Fi network which has a gateway, SSID and password. When the Raspberry Pi is booting up it connects automatically to Wi-Fi, ...
0
votes
0answers
75 views

Midori faces error granting trust (Raspbian Stretch)

I am trying to install Midori on a Raspberry Pi 3 B+, and I am struggling to access some addresses that Midori recognises as untrusted websites. When I click "trust this website", the browser shows ...
0
votes
1answer
312 views

Can't see files on external drive

I'm using an external drive for my cloud storage. Everything was working fine and then I installed airsonic. I added the tomcat8 user to the www-data group so that airsonic could see the music ...
1
vote
1answer
323 views

Higher resolution framebuffer modes?

I have a raspberry pi plugged into a 3440x1440 monitor. Without setting any explicit framebuffer_* options in /boot/config.txt, it comes up at 1184x624. The display is crisp and legible but individual ...
0
votes
2answers
752 views

Can't sudo apt-get update && sudo apt-get upgrade (won't complete task)

I am having an issues updating my raspbian operating system. After running sudo apt-get update && sudo apt-get upgrade -y I receive the following error messages: Hit:1 http://raspbian....
1
vote
2answers
888 views

My apt is broken (Illegal instruction)

When I run apt update, or any other apt, Im getting an error saying "illegal instruction", just like this: pi@raspberrypi:~ $ sudo apt update Illegal instruction no other errormessages given. I ...

1
2 3 4 5
17